runtest(1)

NAME
runtest - DejaGnu test driver

SYNOPSIS
runtest [OPTION]...

DESCRIPTION
DejaGnu is a framework for testing programs using Expect. runtest is the driver program for DejaGnu. It controls what tests to run and how to run them.

OPTIONS

--all, -a
    Output all test results. By default, only unexpected results are displayed.

--build TRIPLET
    The configuration TRIPLET for the build system.

--debug
    Turn on Expect internal debugging output. The output is logged to a file called dbg.log.

--directory DIRECTORY
    Run only tests in the specified DIRECTORY.

--global_init NAME
    The NAME to use for the global init file in libdir. The default is site.exp if this option is not given.

--help
    Prints a usage message and then exits.

--host TRIPLET
    The configuration TRIPLET for the host system.

--host_board NAME
    The host board definition to use.

--ignore test1.exp test2.exp ...
    Do not run the specified tests.

--local_init NAME
    The NAME to use for the testsuite local init file in both the current directory and objdir. The default is site.exp if this option is not given.

--log_dialog
    Emit Expect output to standard output.

--mail 'name1 name2 ...'
    Electronic mail addresses to receive test results.

--objdir PATH
    PATH is a directory containing compiled test code.

--outdir DIRECTORY
    The name of a DIRECTORY for test log output.

--reboot
    Reboot the target board when runtest initializes (if supported).

--srcdir PATH
    PATH is a directory containing test directories.

--strace N
    Turns on Expect internal tracing to N levels deep. The output is logged to a file called dbg.log.

--target TRIPLET
    The configuration TRIPLET for the target.

--target_board NAME
    A list of target board NAMEs to run tests on.

--tool TOOLNAME
    Specify the tool to be tested. TOOLNAME controls the test suite applied, and the associated initialization module.

--tool_exec PATH
    Specify the PATH to the executable to test.

--tool_opts OPTIONS
    Additional OPTIONS to pass to the tool.

-v, --verbose
    Turns on more debugging output from test cases and DejaGnu utility code. Use more than once to increase output further.

-V, --version
    Prints out the versions of DejaGnu, Expect and Tcl.

-x, --xml
    Generate XML output. The output file is named after the tool with an .xml extension.

-D[number]
    Activate the Tcl debugger. number can be either 1 or 0. If it is 1, then the Expect shell will break when it starts to run. The interrupt key will cause DejaGnu to drop to the debugger prompt. If it is 0, DejaGnu starts as usual, but Control-C drops to the debugger prompt.

Any file name on the command line is assumed to be a subset of the
    test names to run. Usually these are the names of the test scripts (eg. foo.exp).

Makefile-style variables are used to specify tool names and their flags; these and other configuration dependent values are saved in the file site.exp, created during configuration.

  Exit status:

0   if all tests passed including expected failures and unsupported tests,

1   if any test failed, passed unexpectedly, or was unresolved,

2   if Expect encountered any error in the test scripts.

AUTHOR
Rob Savoye (rob@welcomehome.org)

REPORTING BUGS
Report bugs to <bug-dejagnu@gnu.org>.

COPYRIGHT
Copyright © 2005-2016, 2018, 2020 Free Software Foundation, Inc.

This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for DejaGnu is maintained as a Texinfo manual. If the info program is properly installed at your site, the command

    info dejagnu

should give you access to the complete manual.